summaryrefslogtreecommitdiffstats
path: root/bootstrap
diff options
context:
space:
mode:
authorRalf Corsépius <ralf.corsepius@rtems.org>2012-07-27 15:38:04 +0200
committerRalf Corsépius <ralf.corsepius@rtems.org>2012-10-09 19:26:51 +0200
commit22fb90e491d3702688602d540bb217ff278b232c (patch)
treec2de62e0b9ee09ffd89a76f51346e58b13f818c1 /bootstrap
parentImport from automake-1.12.4. (diff)
downloadrtems-22fb90e491d3702688602d540bb217ff278b232c.tar.bz2
Misc. cosmetic changes.
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap98
1 files changed, 49 insertions, 49 deletions
diff --git a/bootstrap b/bootstrap
index de5d626a33..4226313460 100755
--- a/bootstrap
+++ b/bootstrap
@@ -1,4 +1,4 @@
-#! /bin/sh
+#!/bin/sh
#
# helps bootstrapping, when checked out from CVS
# requires GNU autoconf and GNU automake
@@ -13,7 +13,7 @@
progname=`basename $0`
top_srcdir=`dirname $0`
-verbose="";
+verbose=""
quiet="false"
mode="autoreconf"
force=0
@@ -30,7 +30,7 @@ usage()
echo " -q .. quiet, don't display directories"
echo " -v .. verbose, pass -v to autotools"
echo
- exit 1;
+ exit 1
}
generate_bspdir_acinclude()
@@ -56,7 +56,7 @@ cat << EOF >> acinclude.m4~
])
EOF
if cmp -s acinclude.m4 acinclude.m4~ 2>/dev/null; then
- echo "acinclude.m4 is unchanged";
+ echo "acinclude.m4 is unchanged"
else
cp acinclude.m4~ acinclude.m4
fi
@@ -66,7 +66,7 @@ rm -f acinclude.m4~
if test ! -f $top_srcdir/aclocal/version.m4; then
echo "${progname}:"
echo " Installation problem: Can't find file aclocal/version.m4"
- exit 1;
+ exit 1
fi
while test $# -gt 0; do
@@ -74,29 +74,29 @@ case $1 in
-h|--he|--hel|--help)
usage ;;
-q|--qu|--qui|--quie|--quiet)
- quiet="true";
+ quiet="true"
shift;;
-v|--ve|--ver|--verb|--verbo|--verbos|--verbose)
- verbose="-v";
+ verbose="-v"
shift;;
-c|--cl|--cle|--clea|--clean)
- mode="clean";
+ mode="clean"
shift;;
-f|--fo|--for|--forc|--force)
force=`expr $force + 1`
shift;;
-p|--pr|--pre|--prei|--prein|--preins|--preinst)
- mode="preinstall";
+ mode="preinstall"
shift;;
-r|--re|--rec|--reco|--recon|--reconf)
- mode="autoreconf";
+ mode="autoreconf"
shift;;
-g|--ge|--gen|--gene|--gener|--genera|--generat|--generate)
- mode="generate";
+ mode="generate"
shift;;
--*) echo "unknown option $1" ;
+-*) echo "unknown option $1"
usage ;;
-*) echo "invalid parameter $1" ;
+*) echo "invalid parameter $1"
usage ;;
esac
done
@@ -105,7 +105,7 @@ case $mode in
preinstall)
confs=`find . -name Makefile.am -exec grep -l 'include .*/preinstall\.am' {} \;`
for i in $confs; do
- dir=$(dirname $i);
+ dir=$(dirname $i)
test "$quite" = "true" || echo "Generating $dir/preinstall.am"
${top_srcdir}/ampolish3 "$dir/Makefile.am" > "$dir/preinstall.am"
done
@@ -117,19 +117,19 @@ generate)
echo "You must have autoconf installed to run $program"
exit 1
fi
-
+
AUTOHEADER=${AUTOHEADER-autoheader}
if test -z "$AUTOHEADER"; then
echo "You must have autoconf installed to run $program"
exit 1
fi
-
+
AUTOMAKE=${AUTOMAKE-automake}
if test -z "$AUTOMAKE"; then
echo "You must have automake installed to run $program"
exit 1
fi
-
+
ACLOCAL=${ACLOCAL-aclocal}
if test -z "$ACLOCAL"; then
echo "You must have automake installed to run $program"
@@ -145,23 +145,23 @@ generate)
confs=`find . \( -name 'configure.in' -o -name 'configure.ac' \) -print`
for i in $confs; do
- dir=`dirname $i`;
- configure=`basename $i`;
- ( test "$quiet" = "true" || echo "$dir";
- cd $dir;
+ dir=`dirname $i`
+ configure=`basename $i`
+ ( test "$quiet" = "true" || echo "$dir"
+ cd $dir
test -n "`grep RTEMS_CHECK_BSPDIR ${configure}`" && \
- generate_bspdir_acinclude;
+ generate_bspdir_acinclude
pat="s,\$(RTEMS_TOPdir),${aclocal_dir},g"
aclocal_args=`grep '^[ ]*ACLOCAL_AMFLAGS' Makefile.am | \
- sed -e 's%.*ACLOCAL_AMFLAGS.*\=[ ]*%%g' -e $pat ` ;
+ sed -e 's%.*ACLOCAL_AMFLAGS.*\=[ ]*%%g' -e $pat `
test "$verbose" = "-v" && echo "${ACLOCAL} $aclocal_args"
- ${ACLOCAL} $aclocal_args;
+ ${ACLOCAL} $aclocal_args
test -n "`grep CONFIG_HEADER ${configure}`" && ${AUTOHEADER} \
- && test "$verbose" = "-v" && echo "${AUTOHEADER}";
+ && test "$verbose" = "-v" && echo "${AUTOHEADER}"
test -n "`grep RTEMS_BSP_CONFIGURE ${configure}`" && ${AUTOHEADER} \
- && test "$verbose" = "-v" && echo "${AUTOHEADER}";
- test -f Makefile.am && ${AUTOMAKE} -a -c $verbose ;
- ${AUTOCONF};
+ && test "$verbose" = "-v" && echo "${AUTOHEADER}"
+ test -f Makefile.am && ${AUTOMAKE} -a -c $verbose
+ ${AUTOCONF}
test -f Makefile.am && test -n "`grep 'stamp-h\.in' Makefile.in`" \
&& echo timestamp > stamp-h.in
)
@@ -177,13 +177,13 @@ autoreconf)
confs=`find . -name 'configure.ac' -print`
for i in $confs; do
- dir=`dirname $i`;
- configure=`basename $i`;
- ( test "$quiet" = "true" || echo "$dir";
- cd $dir;
+ dir=`dirname $i`
+ configure=`basename $i`
+ ( test "$quiet" = "true" || echo "$dir"
+ cd $dir
test -n "`grep RTEMS_CHECK_BSPDIR ${configure}`" && \
- generate_bspdir_acinclude;
- ${AUTORECONF} -i --no-recursive $verbose;
+ generate_bspdir_acinclude
+ ${AUTORECONF} -i --no-recursive $verbose
test -f Makefile.am && test -n "`grep 'stamp-h\.in' Makefile.in`" \
&& echo timestamp > stamp-h.in
)
@@ -192,23 +192,23 @@ autoreconf)
clean)
test "$quiet" = "true" || echo "removing automake generated Makefile.in files"
- files=`find . -name 'Makefile.am' -print | sed -e 's%\.am%\.in%g'` ;
- for i in $files; do
+ files=`find . -name 'Makefile.am' -print | sed -e 's%\.am%\.in%g'`
+ for i in $files; do
if test -f $i; then
rm -f $i
- test "$verbose" = "-v" && echo "$i"
- fi;
+ test "$verbose" = "-v" && echo "$i"
+ fi
done
test "$quiet" = "true" || echo "removing configure files"
- files=`find . -name 'configure' -print` ;
- for i in $files; do
+ files=`find . -name 'configure' -print`
+ for i in $files; do
if test -f $i; then
rm -f $i
test "$verbose" = "-v" && echo "$i"
- fi;
+ fi
done
-
+
if test $force -gt 0; then
needles=""
if test $force -gt 1; then
@@ -227,23 +227,23 @@ clean)
fi
for j in $needles; do
files=`find . -name "$j" -print`
- for i in $files; do
+ for i in $files; do
if test -f $i; then
rm -f $i
test "$verbose" = "-v" && echo "$i"
- fi;
+ fi
done
done
fi
test "$quiet" = "true" || echo "removing aclocal.m4 files"
- files=`find . -name 'aclocal.m4' -print` ;
- test "$verbose" = "-v" && test -n "$files" && echo "$files" ;
- for i in $files; do
+ files=`find . -name 'aclocal.m4' -print`
+ test "$verbose" = "-v" && test -n "$files" && echo "$files"
+ for i in $files; do
if test -f $i; then
rm -f $i
- test "$verbose" = "-v" && echo "$i"
- fi;
+ test "$verbose" = "-v" && echo "$i"
+ fi
done
find . -name '*~' -print | xargs rm -f